## initramfs-tools 0.125ubuntu5

=== debian/changelog ===
initramfs-tools (0.125ubuntu5) yakkety; urgency=medium

  * scripts/functions: make sure we can try to start all available and suitable
    interfaces if ip= isn't set when setting up the network, and exit as soon
    as we get an IP address. This retains the old behavior from ipconfig when
    ip= is unset, for really simple remote-root scenarios. (LP: #1628306)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Tue, 27 Sep 2016 18:25:50 -0400

initramfs-tools (0.125ubuntu4) yakkety; urgency=medium

  * scripts/functions: by default, when setting up networking, use dhclient if
    we're asked to do DHCP explicitly, or if we otherwise are expected to do
    things automatically. This way we can bring up both IPv4 and IPv6, as
    klibc doesn't support IPv6. (LP: #1621507)
  * debian/control: Breaks isc-dhcp-client << 4.3.3-5ubuntu14, since we're
    calling the dhclient binary in scripts/functions now.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 21 Sep 2016 14:01:57 -0400

initramfs-tools (0.125ubuntu3) yakkety; urgency=medium

  * init: Revert Debian commit ab91306. Interpreting "rootdelay" as a static
    sleep is complete nonsense. (LP: #1615751)
  * scripts/local: Let rootdelay determine the wait-for-root timeout instead
    of the shell polling loop that comes after it, as we should never hit the
    latter in Ubuntu (where we require udev everywhere). Thanks to Scott Moser
    for this patch!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 26 Aug 2016 12:54:37 +0200

initramfs-tools (0.125ubuntu2) yakkety; urgency=medium

  * Make busybox-initramfs a real runtime dependency, fixing
    kernel install failures with cryptsetup

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 Jul 2016 11:09:50 +0200

initramfs-tools (0.125ubuntu1) yakkety; urgency=medium

  * Merge with debian 0.125 (LP: #1599915).  Remaining delta:
   - Set takeover=1 in update-initramfs.
   - Drop hooks/keymap and associated code; console-setup takes care of
     this in Ubuntu.
   - Add a new 'fixrtc' script that tries to set the system clock forward
     based on the last mount time of the root disk; without this kludge,
     systems without a working RTC will end up in a perpetual reboot loop.
   - Set hostname at boot, for the benefit of mdadm autoassembly.
   - Ignore errors from iscan and iscan-data hooks.
   - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
     to something other than "n", the script will not be included.
   - Restore the framebuffer hook and script, copying KMS and other
     framebuffer drivers into the initramfs, but make them optional; you
     need to set FRAMEBUFFER=y for these to be included.
   - Add hwaddr= alias for BOOTIF= for compatibility.
   - When receiving "recovery" on cmdline, start upstart with --startup-
     event=recovery (LP: #575469)
   - Make /etc/mtab a symlink to /proc/mounts on startup, since e.g.
     current ntfs-3g doesn't work otherwise.
   - Automatically blacklist vga16fb when vga= or video= specified on
     kernel command-line.
   - Add Hyper-V paravirtualised device drivers to the initramfs to allow
     booting of stock images in a Hyper-V guest. (LP: #917135)
   - Add mountroot failure support, to allow meaningful messages when no
     root device can be found.
   - Retain netboot= compatibility option.
   - Retain cryptopts= compatibility option.
   - Add vfat modules to the initramfs.
   - Maintain compatibility with pre- /run configurations
   - Increase rootdelay to 180s on powerpc/ppc64/ppc64el (LP: #1326199)
   - fixrtc: wait for udev to settle to expose device symlinks
   - fixrtc: handle hwclock -s failures safely
   - fixrtc: support busybox, handle last mount time on system partition,
     expose fs create time (LP: #1420473)
   - fixrtc: avoid using xargs, wait-for-root before examining
   - fixrtc: suppress /dev/ram as a root when using systempart (LP:
     #1443329)
   - ppc64el: enable PowerPC NX Crypto Coprocessor
   - resume: only resume when the partition contains a resume image
   - resume: announce resume via plymouth if available
   - Don't load keymaps unless we're loading a framebuffer; but set the
     keymap before giving a root shell.
   - Add new initramfs-tools-bin package containing a binary that uses
     libudev to wait for udev to create the udev device, or wait for udev
     to finish processing if we catch it in the act, and returns the
     filesystem type as already probed by udev.
   - Incorporate rzscontrol from compcache so that we can control current
     ramzswap devices.
   - Support loading compcache from the initramfs.
   - debian/control: update Vcs-* links for Ubuntu.
   - hook-functions: fix PowerPC NX Crypto Coprocessor support (LP:
     #1454687)
   - Drop: Maintain compatibility with pre- /run configurations (LP:
     #1485752)
   - Drop: Ignore errors from iscan and iscan-data hooks (LP: #1485562)
   - add squashfs to list of 'most' modules (LP: #1501834)
   - drop Breaks: against upstart as we use it in user sessions
   - support mounting of loopback devices via loop*= parameters
   - local_device_setup: use wait-for-root if it supports the device alias
     type
   - Fix vfat support from initramfs (LP: #1540522)
   - initramfs-tools-core uses initramfs-tools-bin add dependancy (LP:
     #1543244)
   - Add support for uppercase and lowercase uuids. (LP: #1548120)
   - uuids: busybox tr does not support symbolic ranges expand manually
     (LP: #1548120)
   - wait-for-root.c: Drop check if device is queued in udev (LP: #1539195)
   - uuids: only apply case mapping to RFC#4122 format uuids (LP: #1553107,
     #1548120)
   - hooks/framebuffer: Copy kernel/ubuntu/i915 backport driver too. (LP:
     #1500751)
   - hook-functions: add hyperv-keyboard for Generation 2 VMs (LP:
     #1567107)
   - init: fix redirection for /bin/hostname command
   - init: drop -b from hostname as it is not supported by busybox

