## initramfs-tools 0.125ubuntu12

=== debian/changelog ===
initramfs-tools (0.125ubuntu12) artful; urgency=medium

  * hook-functions: include vmd driver. (LP: #1703339)

 -- Seth Forshee <seth.forshee@canonical.com>  Fri, 13 Oct 2017 14:09:26 -0500

initramfs-tools (0.125ubuntu11) artful; urgency=medium

  * hook-functions, mkinitramfs, scripts/functions: support usage of dns
    after configure_networking. (LP: #1714308)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 19 Sep 2017 12:54:18 -0400

initramfs-tools (0.125ubuntu10) artful; urgency=low

  * hook-functions: include backported bnxt driver. (LP: #1712491)

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 30 Aug 2017 11:28:51 +0100

initramfs-tools (0.125ubuntu9) zesty; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Use configure_networking from yakkety-proposed (SRU), addressing various
    review feedback.   dhclient -4 will be reconsidered later.  LP: #1621507

 -- LaMont Jones <lamont@ubuntu.com>  Thu, 15 Dec 2016 15:14:57 -0700

initramfs-tools (0.125ubuntu8) zesty; urgency=medium

  [ LaMont Jones ]
  * Only source ipv4 config in configure_networking() if it exists.

  [ Mathieu Trudel-Lapierre ]
  * init: hey, we also need to actually will in IP6 with what someone passes
    at the command-line in ip6=.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 03 Nov 2016 16:03:25 -0600

initramfs-tools (0.125ubuntu7) zesty; urgency=medium

  * scripts/functions: for configure_networking:
    - split out IPv6 options in its own cmdline parameter: ip6= ; always use
      dhclient in this case if the value set is anything other than 'off' or
      'none'. Furthermore, parse anything other than 'on', 'dhcp' or 'any' as
      the name of an interface. (LP: #1621507)
    - rework the stop conditions so that we properly handle the ROUNDTTT loop,
      timing out after a short period of time and trying again after a short
      sleep.
    - add a 'done' parameter for both ip= and ip6= so that we can properly
      exit the ROUNDTTT loop once we know that either there is no work to do,
      or that we've achieved what we wanted (that is, to bring up IPv4, IPv6,
      or possibly both).
    - return ip=dhcp to the ipconfig use case; if set, then ipconfig will be
      run using any interface available, or the BOOTIF if it was set.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 17 Oct 2016 17:05:49 -0400
