## initramfs-tools 0.125ubuntu12.1

=== debian/changelog ===
initramfs-tools (0.125ubuntu12.1) artful; urgency=medium

  [ Oliver Grawert ]
  * make fixrtc catch "n/a" string and fall back to a sane value for the date
    command instead (LP: #1623125)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 05 Jan 2018 10:23:22 +0100
