## initramfs-tools 0.125ubuntu12.2

=== debian/changelog ===
initramfs-tools (0.125ubuntu12.2) artful; urgency=medium

  [ Scott Moser ]
  * scripts/functions: write netplan config files to /run/netplan for
    network devices configured with configure_networking. (LP: #1769682)
  * Added tests for netplan rendering.

  [ Mathieu Trudel-Lapierre ]
  * scripts/functions: add 'critical: true' parameter; requires netplan
    0.32~17.10.4. (LP: #1769682)
  * debian/rules: skip tests on non-x86 architectures, where they then to be
    false negatives (extra macaddress matching makes the tests fail to match
    expected values).

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 17 May 2018 09:58:51 -0400
