=== debian/rules ===
--- 
+++ 
@@ -29,16 +29,20 @@
 
 DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_HOST_ARCH  := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 CROSS :=
 else
 CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config
 endif
 
+TEST_ARCHES="amd64 i386"
 override_dh_auto_build:
 	make -C src $(CROSS)
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(findstring $(DEB_HOST_ARCH),$(TEST_ARCHES)))
 	./tests/run-tests
+endif
 endif
 
 override_dh_auto_clean:
