## initramfs-tools 0.130ubuntu3

=== debian/changelog ===
initramfs-tools (0.130ubuntu3) bionic; urgency=medium

  * Fix resuming a hibernate session from a swapfile (LP: #1644975)

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 20 Feb 2018 15:34:46 -0600

initramfs-tools (0.130ubuntu2) bionic; urgency=medium

  * Include mlx4 and mlx5 InfiniBand modules (Closes: #871595, LP: #1719302)

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 27 Jan 2018 12:51:45 +0100

initramfs-tools (0.130ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable. Remaining delta:
    - Set takeover=1 in update-initramfs.
    - Drop hooks/keymap and associated code; console-setup takes care of
      this in Ubuntu.
    - Add a new 'fixrtc' script that tries to set the system clock forward
      based on the last mount time of the root disk; without this kludge,
      systems without a working RTC will end up in a perpetual reboot loop.
    - Set hostname at boot, for the benefit of mdadm autoassembly.
    - Allow scripts and hooks to specify OPTION=VAR, and unless VAR is set
      to something other than "n", the script will not be included.
    - Restore the framebuffer hook and script, copying KMS and other
      framebuffer drivers into the initramfs, but make them optional; you
      need to set FRAMEBUFFER=y for these to be included.
    - Add hwaddr= alias for BOOTIF= for compatibility.
    - When receiving "recovery" on cmdline, start upstart with --startup-
      event=recovery (LP: #575469)
    - Automatically blacklist vga16fb when vga= or video= specified on
      kernel command-line.
    - Add Hyper-V paravirtualised device drivers to the initramfs to allow
      booting of stock images in a Hyper-V guest. (LP: #917135)
    - Add mountroot failure support, to allow meaningful messages when no
      root device can be found.
    - Retain netboot= compatibility option.
    - Retain cryptopts= compatibility option.
    - Add vfat modules to the initramfs.
    - Increase rootdelay to 180s on powerpc/ppc64/ppc64el (LP: #1326199)
    - ppc64el: enable PowerPC NX Crypto Coprocessor (LP: #1454687)
    - resume: only resume when the partition contains a resume image
    - resume: announce resume via plymouth if available
    - Don't load keymaps unless we're loading a framebuffer; but set the
      keymap before giving a root shell.
    - Add new initramfs-tools-bin package containing a binary that uses
      libudev to wait for udev to create the udev device, or wait for udev
      to finish processing if we catch it in the act, and returns the
      filesystem type as already probed by udev.
    - Incorporate rzscontrol from compcache so that we can control current
      ramzswap devices.
    - Support loading compcache from the initramfs.
    - debian/control: update Vcs-* links for Ubuntu.
    - add squashfs to list of 'most' modules (LP: #1501834)
    - drop Breaks: against upstart as we use it in user sessions
    - support mounting of loopback devices via loop*= parameters
    - local_device_setup: use wait-for-root if it supports the device alias
      type
    - initramfs-tools-core uses initramfs-tools-bin, add dependency (LP:
      #1543244)
    - Add support for uppercase and lowercase uuids. (LP: #1548120)
    - wait-for-root.c: Drop check if device is queued in udev (LP: #1539195)
    - hook-functions: add hyperv-keyboard for Generation 2 VMs (LP: #1567107)
    - init: fix redirection for /bin/hostname command
    - init: drop -b from hostname as it is not supported by busybox
    - Ensure we have a /usr/sbin directory in initramfs-tools-core
    - Make busybox-initramfs a real runtime dependency, fixing
      kernel install failures with cryptsetup
    - init: Revert Debian commit ab91306. Interpreting "rootdelay" as a static
      sleep is complete nonsense. (LP: #1615751)
    - scripts/local: Let rootdelay determine the wait-for-root timeout instead
      of the shell polling loop that comes after it, as we should never hit the
      latter in Ubuntu (where we require udev everywhere). Thanks to Scott Moser
      for this patch!
    - scripts/functions: by default, when setting up networking, use dhclient if
      we're asked to do DHCP explicitly, or if we otherwise are expected to do
      things automatically. This way we can bring up both IPv4 and IPv6, as
      klibc doesn't support IPv6. (LP: #1621507)
    - debian/control: Breaks isc-dhcp-client << 4.3.3-5ubuntu14, since we're
      calling the dhclient binary in scripts/functions now.
    - scripts/functions: make sure we can try to start all available and
      suitable interfaces if ip= isn't set when setting up the network, and exit
      as soon as we get an IP address. This retains the old behavior from
      ipconfig when ip= is unset, for really simple remote-root scenarios.
      (LP: #1628306)
    - scripts/functions: for configure_networking:
      - split out IPv6 options in its own cmdline parameter: ip6= ; always use
        dhclient in this case if the value set is anything other than 'off' or
        'none'. Furthermore, parse anything other than 'on', 'dhcp' or 'any' as
        the name of an interface. (LP: #1621507)
      - rework the stop conditions so that we properly handle the ROUNDTTT loop,
        timing out after a short period of time and trying again after a short
        sleep.
      - add a 'done' parameter for both ip= and ip6= so that we can properly
        exit the ROUNDTTT loop once we know that either there is no work to do,
        or that we've achieved what we wanted (that is, to bring up IPv4, IPv6,
        or possibly both).
      - return ip=dhcp to the ipconfig use case; if set, then ipconfig will be
        run using any interface available, or the BOOTIF if it was set.
    - Only source ipv4 config in configure_networking() if it exists.
    - Use configure_networking from yakkety-proposed (SRU), addressing various
      review feedback.   dhclient -4 will be reconsidered later.  LP: #1621507

