## initramfs-tools 0.130ubuntu3.6

=== debian/changelog ===
initramfs-tools (0.130ubuntu3.6) bionic-security; urgency=medium

  * scripts/functions: include a new option to skip enslaved network
    devices. (LP: #1802591)
      Include the new variable NETWORK_SKIP_ENSLAVED. When set to a
      value different than "0", this variable will cause any enslaved
      network devices to be skipped from the list of netbootable
      devices. This variable can be set via the configuration files
      under /etc/initramfs-tools/ or via any configuration file under
      the initrd directory /conf/conf.d/ via a hook script.

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Wed, 12 Dec 2018 20:58:27 -0200

initramfs-tools (0.130ubuntu3.5) bionic; urgency=medium

  * debian/initramfs-tools.postinst: fix version comparison and
    so it will run for any version earlier than 0.130ubuntu3.5.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Thu, 27 Sep 2018 16:21:37 +0000

initramfs-tools (0.130ubuntu3.4) bionic; urgency=medium

  [ Colin Watson ]
  * [b4804dd] Only sync the filesystem containing the initramfs
    (Closes: #882380) (LP: #1667512)

  [ Tiago Stürmer Daitx ]
  * debian/initramfs-tools.postinst: remove orphaned old-dkms initrd files
    in /boot. (LP: #1791959)

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Tue, 18 Sep 2018 09:18:47 +0000

initramfs-tools (0.130ubuntu3.3) bionic; urgency=medium

  [ Scott Moser ]
  * scripts/functions: write netplan config files to /run/netplan for
    network devices configured with configure_networking. (LP: #1769682)

  [ Mathieu Trudel-Lapierre ]
  * scripts/functions: add 'critical: true' parameter; requires netplan
    0.36.2. (LP: #1769682)
  * debian/rules: skip tests on non-x86 architectures, where they then to be
    false negatives (extra macaddress matching makes the tests fail to match
    expected values).

  [ John Gallagher ]
  * Work out the kernel modules required to support ZFS filesystems and add
    them as necessary. (LP: #1661629)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Mon, 20 Aug 2018 11:01:52 -0400

initramfs-tools (0.130ubuntu3.1) bionic; urgency=medium

  * hooks/resume: don't generate RESUME config pointing to randomly-crypted
    swap devices.  LP: #1771962.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Jun 2018 21:29:19 -0700
