## initramfs-tools 0.130ubuntu3.9

=== debian/changelog ===
initramfs-tools (0.130ubuntu3.9) bionic; urgency=medium

  * Add support for panic=-1 value (LP: #1831252)

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 07 Oct 2019 12:53:35 +0200

initramfs-tools (0.130ubuntu3.8) bionic; urgency=medium

  * Add modules for nvme path components on multipath nvme. LP: #1778844

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Tue, 16 Apr 2019 21:25:56 -0300

initramfs-tools (0.130ubuntu3.7) bionic; urgency=medium

  [ Steve Langasek ]
  * hooks/resume: cherry-pick patch from upstream git to fix
    auto-configuration of resume devices that are on LVM; always refer to
    them by name, never by UUID.  LP: #1768230.

  [ Thadeu Lima de Souza Cascardo ]
  * Do not include graphical drivers when FRAMEBUFFER is not set.
    (LP: #1561643)

 -- Brian Murray <brian@ubuntu.com>  Thu, 17 Jan 2019 12:26:22 -0800
