## initramfs-tools 0.130ubuntu3.13

=== debian/changelog ===
initramfs-tools (0.130ubuntu3.13) bionic; urgency=medium

  * Backport zstd and lz4 support from focal. LP: #1932542

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 01 Jul 2021 14:11:48 +0100

initramfs-tools (0.130ubuntu3.12) bionic; urgency=medium

  * scripts/local-premount/resume:
    - Use readlink -f to correctly handle non-symlink $resume
      (LP: #1876570)
  * hooks/fsck:
    - don't check PASSNO, always include fsck
      (LP: #1917780)
  * hook-functions:
    - include firmware from /lib/firmware/updates
      (LP: #1571506)

 -- Dan Streetman <ddstreet@canonical.com>  Thu, 18 Mar 2021 14:48:17 -0400
